Orocos Toolchain ROS v0.4.0.2 Released !

Based on the Orocos Toolchain v2.4.0, this release fixes the 'type mismatch' issue for Ubuntu Lucid users. Also other small fixes for the Orocos-ROS integration have been applied, such as a cmake problem when generating typekits and generating a correct header file name in the typekit/ subdirectory. This project is available on http://www.ros.org/wiki/orocos_toolchain_ros

We added a new 'create_rtt_msgs' script in the rtt_ros_integration package which allows you to create an Orocos typekit package from an existing ros _msgs package. This allows you to use any ros _msgs package, even if it's not included in the Orocos Toolchain ROS stack. No manual edits should be necessary for this generated package, just build and import it in your

ROS users should also check the following to avoid any build errors:
- Don't depend on 'ocl' in your manifest.xml file unless you absolutely must
--> remove the <depend package="ocl" /> lines
- Don't use find_package(Orocos-RTT ...) but use find_package(OROCOS-RTT ...)
--> CMake may/will complain if you don't use all-caps.

Support for fixed-size arrays in messages will only come with v0.5.0.

A regular 'apt-get update' will get you this release from the ros/ubuntu repositories or checkout the git tag 'orocos_toolchain_ros-' from http://git.mech.kuleuven.be/robotics/orocos_toolchain_ros.git


PS: the sub-version number '.2' allows us to release Debian packages more regularly, while staying clear on which upstream RTT version everything is based.